import React from 'react'
import config from '../local/js/config' 
import styled from 'styled-components'
import $ from 'jquery'

//Styling
const StyleDiv = styled.div`
a {
    color: #212529;
    text-decoration: none;
    background-color: transparent;
}
    .tabela {
        font-family: "Trebuchet MS",Arial,Helvetica,sans-serif;
        width: 100%;
        height: 410px;
        border: solid 0.1vh #999;
        margin-bottom: 1.5vh;
        max-height: 420px;
        overflow-y: auto;
        
        }
        td{
            padding: 1%;
            text-align: justify;
        }
        .tamanho{
            width: 100%;
            height: auto;
        }
        .linhaT {
            text-align: center;
            background: ${config.PrimaryColor};
            color: #FFF;
        }
        .tabela .linhaT p {
            text-align: center;
            padding-top: 0.5vh;
            padding-bottom: 0.5vh;
            color: #FFF;
            border: none;
            font-weight: bold;
        }
        .pagecontent p, .pagecontent li, .pagecontent dd, .pagecontent dt {
            line-height: 140%;
        }
        .linha1 {
            background-color: ${config.SecondaryColor}; 
            color: #333;
            width: 45%;
            text-align: center;
            padding: 0.4vh;
            width: 20%;
            cursor: pointer;
        }
        .linha1 p {
            text-align: center;
        }
        .linha1:hover .objSelect{
            color: #fff;
            background-color: #934f9e;
        }
        .linha2 {
            color: #333;
            width: 45%;
            padding-bottom: 0vh;
            
        }
        .col2{
            background-color: #e4adc8;
            color: #333;
            text-align: center;
        }
        .desc{
            width: 70%
        }
        .etapa{
           p{ text-align: left}
        }

        .objSelect {
            background: ${config.PrimaryColor};
          
            p {
              margin-bottom: 0;
            }
          
            a {
              color: white;
            }
        }
`

//Component
class TabelaAnimadaDupla extends React.Component{
    //Constructor
    constructor(props){
        super(props);
        this.state={
            //Acess this.props
            Header: this.props.Header,
            RowsContent: this.props.RowsContent,
            RowIndex: this.props.RowIndex
        };
    }

    //Scripts

    //Called when rendered
    componentDidMount(){
        //
        //
        var objSelect = $(".objSelect");
        var txtSelect = $(".txtSelect");

        function disableObj(event) {
            $(event).css({"opacity":"0.85"});
        }
        function enableObj(event) {
            $(event).css({"opacity":"1"});
            disableObj($(objSelect).not(event));
        }
        function clearText(event) {
            $(txtSelect).not(event).hide();
        }
        function showText(event) {
            var data = $(event).attr("data-select");
            $(data).show();
            clearText($(data));
        }

        txtSelect.hide();
        disableObj(objSelect);
        enableObj(objSelect.first());
        showText(objSelect.first());
        objSelect.click(function() {
            showText(this);
            enableObj(this);
        });
    }


    render(){
        return (
            //Content
            <StyleDiv>
                <table className="tabela">          
                    <thead>
                        <tr className="">
                            {this.state.Header.map((value, index) => {
                                return <th key={"Header"+index} className="linhaT"><p>{value}</p></th>
                            })} 
                        </tr>
                    </thead>
                    <tbody>
                        <tr className="">
                            <td class="linha1 objSelect" data-select=".txt1"><p><a href="#">{this.state.RowIndex[0]}</a></p></td>
                            {this.state.RowsContent.map((value, index)=>{
                                return <td key={"RowsContent"+index} className={"linha2 etapa txtSelect txt"+(index+1)+" cima"} rowSpan="7">
                                            <p>{value}</p>
                                        </td>
                            })}
                        </tr>
                        
                        {this.state.RowIndex.map((value, index)=>{
                            if(index > 0){
                                return  <tr key={"RowIndex"+index} className="">
                                            <td className="linha1 objSelect" data-select={".txt"+(index+1)}><p><a href="#">{value}</a></p></td>
                                        </tr>
                            }
                        })}
                    </tbody>                    
                </table>
            </StyleDiv>
        )   
    }
}
export default TabelaAnimadaDupla
