import React from 'react'
import styled from 'styled-components'
import Accordion from '../components/Accordion'
import Ref from '../components/Ref'
import config from '../local/js/config'

const StyledDiv = styled.div`
.circle-ul {
  padding-left: 1.1em;
  margin-bottom: 1vh;
}

.hyphen-ul {
  padding: 0;
  padding-left: 1rem;
  list-style-type: "- ";
  margin-bottom: 1vh;
}

div[class*="accordionBody"] {
  max-height: unset;
}

.accordion-root {
  margin: 2vh 0;
}

/* Eventualmente corrigir isso diretamente no modelo */

.MuiExpansionPanelSummary-content > p {
  font-weight: bold;
}
.accordion-root > div > div:last-child {
  border-bottom: none;
}

.accordion-root > div > div:last-child.Mui-expanded {
  border-bottom: 0.5vh solid ${config.PrimaryColor};
}

.MuiExpansionPanelSummary-root {
  padding: 1vh 2vh !important;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Do atendimento inicial ao diagnóstico sindrômico: o caminho a ser percorrido</h2>
        <div className='page'>
          <p><strong>Exame físico</strong></p>
          <p><strong>Interpretando o ABCDE e identificando a situação de emergência</strong></p>
          <p>A partir da suspeita de intoxicação, está indicado o exame físico direcionado pelo ABCDE. Por meio dele, priorizamos a identificação de sinais, sintomas e parâmetros clínicos de instabilidade que representem ameaça à vida<Ref Id="1" /><sup>,</sup><Ref Id="3" />.</p>
          <div className="accordion-root">
            <Accordion Content={[
              {
                header: 'Indicam atendimento médico imediato com fins de estabilização clínica',
                content: [
                  <ul className="circle-ul">
                    <li>Comprometimento de vias aéreas: dispneia grave, ausência de murmúrio vesicular.</li>
                    <li>Comprometimento cardiovascular: taquicardia, hipotensão arterial, diminuição da perfusão periférica, que podem indicar presença de choque;</li>
                    <li>Comprometimento neurológico: alteração do nível de consciência.</li>
                  </ul>,
                  <p><strong>Conduta</strong>: estabilizar sinais vitais e contatar equipe do serviço móvel de urgência, com vistas à regulação do paciente e transferência para atendimento hospitalar.</p>
                ]
              },
              {
                header: 'Indicam atendimento prioritário',
                content: [
                  <ul className="hyphen-ul">
                    <li>Presença de história de exposição a substâncias tóxicas;</li>
                    <li>Reação alérgica;</li>
                    <li>Presença de ideação suicida.</li>
                  </ul>,
                  <p><strong>Conduta</strong>: iniciar medidas de descontaminação, entrar em contato com o CIATox para definição de outras medidas terapêuticas ou para transferência do paciente para outro serviço.</p>
                ]
              },
              {
                header: 'Indica atendimento no dia',
                content: [
                  <ul className="circle-ul"><li>História de contato com substância não tóxica.</li></ul>,
                  <p><strong>Conduta</strong>: avaliação no dia pela equipe de enfermagem, se necessário também pela equipe médica.</p>
                ]
              }
            ]} />
          </div>
          <p>Se houver queixa de intoxicação sem história de exposição à substância, o paciente deve ser avaliado e a equipe deve estar atenta a situações de risco que possam necessitar de intervenção<Ref Id="1"/>.</p>
        </div>
      </StyledDiv >
    )
  }
}
export default Page
