import React from 'react'
import styled from 'styled-components'
import img1 from './media/images/pag11_img1.png'

const StyledDiv = styled.div`
.page {
  display: flex;
  flex-direction: column;

  @media (max-width: 99.9vh) {
    display: block;
  }
}

.flex-container {
  flex: 1 1 0;
  min-height: 0;
  overflow-y: hidden;

  img {
    height: 100%;
    width: auto;

    @media (max-width: 99.9vh) {
      width: 100%;
      height: auto;
    }
  }
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Do atendimento inicial ao diagnóstico sindrômico: o caminho a ser percorrido</h2>
        <div className='page'>
          <p><strong>Exame físico</strong></p>
          <p><strong>Interpretando o ABCDE e identificando a situação de emergência</strong></p>
          <p>Observe, abaixo, o fluxograma de classificação de risco/vulnerabilidade do paciente com história de exposição à substância tóxica:</p>
          <div className="flex-container centro">
            <a href={img1} target="_blank"><img src={img1} alt=""/></a>
          </div>
        </div>
      </StyledDiv >
    )
  }
}
export default Page
