import React from 'react'
import styled from 'styled-components'
import CaixaCards from '../components/CaixaCards'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Medidas de descontaminação</h2>
        <div className='page'>
          <p style={{marginBottom: "1vh"}}>Partindo do conhecimento da classificação das síndromes tóxicas, é possível estabelecer qual a melhor conduta a ser tomada para o caso de intoxicação aguda. As condutas a serem adotadas envolvem: medidas de descontaminação, medidas de suporte e uso de antídotos, quando disponível. O que fazer para reverter ou desacelerar o quadro de envenenamento agudo? <strong>Clique</strong> nos cards abaixo para conhecer as medidas de descontaminação<Ref Id="4" /><sup>,</sup><Ref Id="6" />:</p>
          <CaixaCards title={["Descontaminação cutânea", "Descontaminação ocular", "Descontaminação inalatória", "Remoção de agentes tóxicos ingeridos", "Esvaziamento Gástrico"]} content={[
            <p>Os agentes envolvidos podem ter ação corrosiva ou serem absorvidos pela pele. A remoção deve ser feita por lavagem com água ou soro fisiológico por 15 a 20 minutos. Não é recomendado contato com água quente, para evitar a vasodilatação e o aumento da absorção. Também não deve ser feita a neutralização química, pois essa reação libera calor e piora o dano.</p>,

            <p>Após contato com agente químico, deve ser feita lavagem abundante com água e soro fisiológico. Se acidente cáustico, realizar irrigação ocular e monitorar o pH lacrimal. Não realizar neutralização química, e encaminhar para o oftalmologista.</p>,

            <p>Retirar o paciente do ambiente contaminado, avaliar quadro respiratório, monitorar a oximetria de pulso e, se indicado, ofertar oxigênio umidificado, além de encaminhar o paciente para serviço hospitalar.</p>,

            [
              <p>Para iniciar medidas de descontaminação, a principal informação que devemos ter é: quando a ingestão ocorreu?</p>,
              <p>
                É a partir do tempo da ingestão até o momento do atendimento que é possível definir se haverá possibilidade de descontaminação do trato gastrointestinal e qual modalidade pode ser adotada. Diluição: indicada em casos de acidentes leves em que a quantidade ingerida não atinge níveis tóxicos. O objetivo é o de proteção da mucosa e diminuição da absorção da substância. Exemplo: água ou leite em doses fracionadas, nos primeiros 30 minutos da ingestão.
              </p>,
              <p>Depuração por Alcalinização urinária: aumenta a excreção urinária de ácidos fracos, como: barbitúricos, salicilatos e sulfonilureias.</p>,
              <p>Depuração por Hemodiálise e Hemoperfusão: para casos específicos, a depender de critérios clínicos e farmacocinéticos. Intoxicações por fenobarbital, salicilatos, lítio e álcoois podem ser uma das indicações.</p>
            ],

            <p>Remoção mecânica do conteúdo logo após a ingestão. Haveria benefício se feito na primeira hora após a ingestão, mas os dados não são conclusivos.</p>
          ]} />
        </div>
      </StyledDiv >
    )
  }
}
export default Page
