import React from 'react'
import styled from 'styled-components'
import TabelaAnimadaDupla from '../components/TabelaAnimadaDupla'
import Ref from '../components/Ref'

const StyledDiv = styled.div`

`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Medidas de descontaminação</h2>
        <div className='page'>
          <p><strong>Medidas de descontaminação</strong></p>
          <p><strong>Clique</strong> nos botões para conhecer de que formas o esvaziamento gástrico pode ser feito <Ref Id="4" /><sup>,</sup><Ref Id="6" />:</p>
          <TabelaAnimadaDupla Header={["Tipos de esvaziamento", "Conteúdo"]} RowIndex={["Lavagem Gástrica", "Carvão Ativado", "Catárticos", "Irrigação intestinal total"]} RowsContent={[
            <p>A aspiração do conteúdo gástrico não é um procedimento a ser indicado rotineiramente, apenas se a dosagem ingerida for sabidamente tóxica ou potencialmente letal. Como regra geral, o período entre a ingestão e a lavagem deve ser de até 1 hora. No entanto, se o produto ingerido for um agrotóxico ou fármacos que retardam o esvaziamento gástrico, esse intervalo pode se estender por 2-4 horas. A lavagem gástrica também está contraindicada se houver convulsões, agitação psicomotora, coma, arritmias cardíacas, discrasias sanguíneas e ingestão de cáusticos. Atentar para o risco de iatrogenias, como: broncoaspiração, laringoespasmo, arritmias, sangramento ou perfuração do trato gastrointestinal.</p>,
            <p>É a medida de escolha para descontaminação gastrointestinal. Age pelo contato direto com os produtos tóxicos promovendo adsorção e, assim, reduz sua absorção. Pode ser indicado em até uma hora após o contato com o agente tóxico, logo não é uma opção para todos os casos. É menos eficaz com agentes com baixo peso molecular, como metais pesados, álcoois, lítio e sais de ferro. Em algumas situações, o carvão pode ser usado de 36-48 horas após a ingestão, a fim de reduzir os níveis séricos do agente tóxico. É importante destacar que seu uso está contraindicado quando não houver proteção das vias aéreas em pacientes comatosos e que há risco aumentado de sangramento e perfuração do trato gastrointestinal. </p>,
            <p>Atuam na redução do tempo de trânsito intestinal, diminuindo a absorção do intestino. São agentes catárticos: manitol, sulfato de magnésio e hidróxido de magnésio. Não há consenso para sua indicação para eliminação direta dos agentes tóxicos ingeridos. Contraindicados se houver perfuração ou obstrução intestinal, perda volêmica ou distúrbio eletrolítico. Algumas fontes consideram sua administração uma conduta proscrita.</p>,
            <p>Pode ser considerada para casos de ingestão de medicações de liberação lenta ou com absorção entérica, nos casos de intoxicação por ferro, fenotiazínicos e lítio, além dos casos de pessoas que ingerem cocaína e demais substâncias ilícitas revestidas, com fins de comércio ilegal. Contraindicada se houver perfuração ou obstrução gastrointestinal, vômitos incoercíveis ou instabilidade hemodinâmica.</p>
          ]} />
          <p>Vale a pena salientar que, apesar de vários métodos disponíveis para descontaminação, os dados sobre efetividade e melhora dos desfechos são inconclusivos. Além disso, é importante ponderar os riscos e os benefícios para tomada de decisão<Ref Id="4"/><sup>,</sup><Ref Id="6"/>.</p>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
