import React from 'react'
import styled from 'styled-components'
import CaixaAbasVertical from '../components/CaixaAbasVertical'
import CaixaIcone from '../components/CaixaIcone'
import Ref from '../components/Ref'
import pdf from "./media/pdf/politica_programa_nacional_plantas_medicinais_fitoterapicos.pdf"

const StyledDiv = styled.div`
ul {
  padding-left: 1.25em;
  margin-bottom: 0;
}

.grid-row:not(:last-child) {
  margin: 2vh 0;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Prevenção</h2>
        <div className='page'>
          <p>A maioria das intoxicações agudas evolui favoravelmente, com baixa taxa de óbitos. Para prevenção de intoxicações agudas não intencionais, recomenda-se<Ref Id="1" /><sup>,</sup><Ref Id="4" /><sup>,</sup><Ref Id="5" />:</p>
          <p>
            <ul>
              <li>Instituição de medidas de controle e segurança em relação ao uso e comercialização de agrotóxicos;</li>
              <li>Fornecimento de equipamentos de proteção individual para trabalhadores expostos a agrotóxicos, agentes químicos industriais, metais pesados e agentes inalatórios;</li>
              <li>Controle de prescrição e dispensação de medicamentos;</li>
              <li>Padronização de travas e fechos de segurança para produtos químicos;</li>
              <li>Divulgação de medidas de segurança doméstica.</li>
            </ul>
          </p>
          <p><strong>Clique</strong> nas abas para conhecer as medidas de segurança doméstica:</p>
          <CaixaAbasVertical AbasContent={[
            <ul>
              <li>Produtos químicos e medicações devem ser armazenados de forma adequada e mantidos longe do alcance de crianças e animais domésticos;</li>
              <li>As embalagens de produtos químicos não devem ser reaproveitadas para armazenar outros produtos de uso doméstico;</li>
            </ul>,
            <ul>
              <li>A administração de medicações a crianças não deve ser comparada à ingestão de doces ou balas;</li>
              <li>Divulgar as espécies de plantas tóxicas mais comuns de uso intradomiciliar e para fins ornamentais;</li>
            </ul>,
            <ul>
              <li>Orientar quanto ao cuidado de plantas, informando que durante a poda é necessário evitar o contato da pele com o látex das folhas;</li>
              <li>Utilizar plantas com fins medicinais apenas para espécies catalogadas, a exemplo de material para divulgação e para uso da população.</li>
            </ul>
          ]}/>
          <CaixaIcone type="saibamais" title="PARA SABER MAIS" Content={[
            <span>Para conhecer as plantas comumente utilizadas para fins medicinais, acesse o documento 
              {/* <a href="https://bvsms.saude.gov.br/bvs/publicacoes/politica_programa_nacional_plantas_medicinais_fitoterapicos.pdf" target="_blank">“Política e Programa Nacional de Plantas Medicinais e Fitoterápicos”</a>. */}
              <a href={pdf} target="_blank" rel="noopener noreferrer">“Política e Programa Nacional de Plantas Medicinais e Fitoterápicos”</a>.
            </span>
          ]}/>
          
        </div>
      </StyledDiv>
    )
  }
}
export default Page
