import React from 'react'
import styled from 'styled-components'
import CaixaIcone from '../components/CaixaIcone'
import CaixaColorida from '../components/CaixaColorida'

const StyledDiv = styled.div`
.caixa-colorida {
  margin-top: 2vh;
}
`

class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      <StyledDiv className='content'>
        <h2>Apresentação</h2>
        <div className='page'>
          <p>Olá, aluna(o)!</p> 
          <p>A intoxicação aguda é a exposição a agentes que interfiram na homeostasia e na funcionalidade do indivíduo, podendo levar a eventos adversos reversíveis ou não. Os quadros de intoxicação aguda são uma situação comum nos serviços de urgência e emergência. </p>
          <CaixaColorida Content={[
            <span>Nessas situações, é necessário que o profissional de saúde haja de maneira rápida e eficiente, que saiba como deve ser realizado o atendimento inicial, como fazer o diagnóstico sindrômico e como o paciente deve ser direcionado para que tenha o melhor desfecho clínico. Você conhece e domina todos esses passos?</span>
          ]}/>
          <p>Este e-book tratará do atendimento inicial das intoxicações agudas, anamnese, exame clínico, identificação de situações de emergência, diagnóstico sindrômico, medidas de descontaminação e prevenção de infecções agudas.</p>
          <p style={{margin: "2vh 0"}}>Vamos lá?</p>
          <CaixaIcone type="objetivo" title="OBJETIVO" Content={[
            <span>Com base neste recurso, você será capaz de compreender a abordagem aos casos de intoxicação aguda na APS.</span>
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
