import React from 'react'
import styled from 'styled-components'
import CaixaContorno from '../components/CaixaContorno'
import Ref from '../components/Ref'
import img1 from './media/images/pag3_img1.png'

const StyledDiv = styled.div`
/*
.page {
  display: flex;
  flex-direction: column;

  @media (max-width: 99.9vh) {
    display: block;
  }
}

.flex-container {
  flex: 1 1 0;
  min-width: 0;
  overflow-y: hidden;
  display: flex;
  align-items: center;
  justify-content: center;

  img {
    height: 75%;
    width: auto;

    @media (max-width: 99.9vh) {
      height: auto;
      width: 100%;
      margin-bottom: 2vh;
    }
  }
}
*/

.flex-container {
  margin-bottom: 1vh;
}

.caixa-contorno {
  margin: 2vh 0;
}
`

class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      <StyledDiv className='content'>
        <h2>Intoxicação aguda</h2>
        <div className='page'>
          <p>Entende-se por intoxicação aguda a exposição a agentes que interfiram na homeostasia e na funcionalidade do indivíduo, podendo levar a eventos adversos reversíveis ou não.</p>
          <CaixaContorno Content={[
            <span>A exposição pode ser única ou mesmo repetida, desde que se limite ao prazo de 24 horas e leve a efeitos imediatos. Quanto ao agente causal, ele pode ser antropogênico ou natural. Casos de intoxicação por agente natural são denominados de envenenamento, como ocorre nos acidentes por animais peçonhentos ou por plantas tóxicas<Ref Id="1"/><sup>,</sup><Ref Id="2"/>.</span>
          ]}/>
          <div className="flex-container meio centro">
            <img className="tamanho6" src={img1} alt="Imagem ilustrando diferentes tipos de intoxicações: Contato, respiração, ingestão etc."/>
          </div>
          <p>Os quadros de intoxicação aguda são uma situação comum nos serviços de urgência e emergência, no entanto, não são exclusividade. Serviços de Atenção Primária, que também são porta de entrada do sistema de saúde, podem ser cenário de atendimento inicial desses casos que, na maioria das vezes, necessitam de ação rápida para mudança do desfecho clínico<Ref Id="1"/><sup>,</sup><Ref Id="3"/>.</p>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
