import React from 'react'
import styled from 'styled-components'
import CaixaColorida from '../components/CaixaColorida'
import ImgTextoRight from '../components/ImgTextoRight'
import CaixaIcone from '../components/CaixaIcone'
import Ref from '../components/Ref'
import img1 from './media/images/pag4_img1.png'
import '../local/css/custom.scss'

const StyledDiv = styled.div`
.caixa-colorida {
  margin-top: 2vh;
}
`

class Page extends React.Component {
  componentDidMount () {

  }

  render () {
    return (
      <StyledDiv className='content'>
        <h2>Intoxicação aguda</h2>
        <div className='page'>
          <p>Pacientes com manifestações neurológicas ou alterações cardiovasculares agudas ou distúrbios respiratórios e metabólicos sem elementos que indiquem doença orgânica são casos suspeitos de intoxicação aguda<Ref Id="3"/><sup>,</sup><Ref Id="5"/><sup>,</sup><Ref Id="6"/>.</p>
          <CaixaColorida Content={[
            <span>É importante compreender que o atendimento inicial deve ser feito de maneira rápida e adequada. Caso a Atenção Primária não tenha recursos suficientes para garantir o suporte à vida, o paciente deve ser encaminhado para serviços de maior complexidade<Ref Id="3"/><sup>,</sup><Ref Id="5"/><sup>,</sup><Ref Id="6"/>.</span>
          ]}/>
          <ImgTextoRight alt="Imagem de um balão de diálogo com o símbolo de tóxico saindo de um telefone" src={img1} Content={[
            <span><span>Um recurso possível para auxiliar nesses atendimentos é o contato com o <strong>Centro de Informação e Assistência Toxicológica (CIATox)</strong><Ref Id="7"/>. Vale lembrar que o CIATox presta suporte a todos os casos de intoxicações agudas, desde acidentes, envenenamento com animais peçonhentos e plantas tóxicas até exposição às substâncias químicas<Ref Id="1"/><sup>,</sup><Ref Id="4"/><sup>,</sup><Ref Id="7"/>.</span></span>
          ]}/>
          <CaixaIcone type="saibamais" title="PARA SABER MAIS" Content={[
            <span>Para consultar a lista completa dos Centros de Assistência Toxicológica clique <a href="https://www.sbtox.org/centros" target="_blank">aqui</a>.</span>
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
