import React from 'react'
import styled from 'styled-components'
import CaixaAbasHorizontalImagem from '../components/CaixaAbasHorizontalImagem'
import Ref from '../components/Ref'
import img1 from './media/images/pag5_img1.png'

const StyledDiv = styled.div`
ul {
  padding: 0;
  padding-left: 1rem;
  list-style-type: "- ";
  margin-bottom: 0;
}

ul:not(:first-child) {
  margin-top: 0.5vh;
}

[class*="tamanho"] {
  margin-bottom: 0.5rem;
}

.caixa-abas-h {
  padding-top: 1vh !important;
  padding-left: 2vh !important;
  padding-right: 2vh !important;
  padding-bottom: 0 !important;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Intoxicação aguda</h2>
        <div className='page'>
          <p>É importante pontuar que a Atenção Primária, além de prestar atendimento para os cuidados iniciais de intoxicação, também pode investigar causas associadas ao episódio e prevenir sua recorrência. Entenda o porquê com os dois casos ilustrativos a seguir:</p>
          <CaixaAbasHorizontalImagem AbasContent={[
            {
              alt: "Imagem de uma jovem mulher ruiva.",
              img: img1,
              content: <span>Rosana, 27 anos, chega à Unidade de Saúde desacordada, trazida por seu amigo João. João informa que encontrou Rosana desmaiada ao lado de várias cartelas vazias de remédios. Enquanto médico, enfermeiro e técnicos de enfermagem prestam os primeiros cuidados, João conta preocupado que Rosana deixou de fazer as atividades que gostava, estava cada vez mais isolada, sempre se negava a sair de casa e a buscar atendimento.</span>
            },
            {
              img: img1,
              content: <span>O caso Rosana ilustra a situação de pacientes que já apresentavam transtorno depressivo e têm seu diagnóstico feito apenas na ocasião de uma tentativa de suicídio por uso de medicamentos. Tendo em vista a situação de Rosana, o que você, profissional atuante na Atenção Primária, poderia fazer para o acompanhamento do caso, após a resolução do quadro de intoxicação aguda?</span>
            },
            {
              img: img1,
              content: <span>Veja, abaixo, ações possíveis na Atenção Primária<Ref Id="4" /><sup>,</sup><Ref Id="6" /><sup>,</sup><Ref Id="5" />:
                <ul>
                  <li>Iniciar atendimento clínico, propondo agendamento de primeira consulta;</li>
                  <li>Estreitar vínculo com paciente marcando consultas periódicas;</li>
                  <li>Investigar a possibilidade de diagnósticos associados que levaram à tentativa de suicídio, como: transtornos de humor, quadro psicótico, uso de substâncias psicoativas;</li>
                  <li>Avaliar situação de fragilidade sociofamiliar;</li>
                  <li>Propor consulta conjunta com alguma pessoa que seja parte da rede de apoio da paciente;</li>
                  <li>Inserir a paciente em Grupos Terapêuticos da Unidade de Saúde e do município, conforme disponibilidade local;</li>
                  <li>Acionar rede de apoio de Saúde Mental: Centro de Atenção Psicossocial (CAPS);</li>
                  <li>Encaminhar para Atenção Secundária para consulta com Psiquiatria, conforme Protocolo de Acesso às Especialidades do Município.</li>
                </ul>
              </span>,
            }
          ]} />
        </div>
      </StyledDiv >
    )
  }
}
export default Page
