import React from 'react'
import styled from 'styled-components'
import CaixaSombreadaImg from '../components/CaixaSombreadaImg'
import CaixaContorno from '../components/CaixaContorno'
import CaixaAbasVertical from '../components/CaixaAbasVertical'
import Ref from '../components/Ref'
import img1 from './media/images/pag6_img1.png'

const StyledDiv = styled.div`
ul {
  padding: 0;
  padding-left: 1rem;
  list-style-type: "- ";
  margin-bottom: 0;
}

ul:not(:first-child) {
  margin-top: 0.5vh;
}

.caixa-contorno {
  margin-top: 2vh;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Intoxicação aguda</h2>
        <div className='page'>
          <p>Observe o segundo caso:</p>
          <CaixaSombreadaImg src={img1} Content={[
            <span>Você, enfermeiro da Unidade de Saúde, é informado pela Agente Comunitária de Saúde (ACS) sobre a chegada do paciente Pedro, de 3 anos, que está sonolento e com episódios de vômitos. A ACS pontua que a criança foi trazida pela irmã de 11 anos, que diz não saber onde está seus pais.
            </span>
          ]} />
          <p>O caso de Pedro ilustra que situações de intoxicação aguda envolvendo crianças e adolescentes podem revelar casos de negligência. Fazendo o mesmo exercício que fizemos acima com o Caso Rosana: o que você, profissional de saúde atuante na Atenção Primária, faria para o acompanhamento e investigação de crianças e adolescentes em situação de negligência? Veja, abaixo, as sugestões <Ref Id="4" /><sup>,</sup><Ref Id="5" /><sup>,</sup><Ref Id="6" />:</p>
          {/*<CaixaAbasVertical AbasContent={[
            <ul>
              <li>Propor atendimento à criança ou ao adolescente junto aos responsáveis;</li>
              <li>Abordar a situação de negligência separadamente com os responsáveis;</li>
              <li>Acionar rede de apoio que possa garantir proteção e segurança do menor de idade, como: outros familiares, profissionais de Educação Infantil da creche/escola que a criança frequente;</li>
            </ul>,
            <ul>
              <li>Investigar causas de fragilidade sócio familiar associadas a circunstância do acidente;</li>
              <li>Rastrear transtorno depressivo na criança e no adolescente que possa revelar intoxicação intencional;</li>
              <li>Acionar Conselho Tutelar para acompanhamento conjunto do caso.</li>
            </ul>
          ]} />*/}
          <CaixaContorno Content={[
            <ul>
              <li>Propor atendimento à criança ou ao adolescente junto aos responsáveis;</li>
              <li>Abordar a situação de negligência separadamente com os responsáveis;</li>
              <li>Acionar rede de apoio que possa garantir proteção e segurança do menor de idade, como: outros familiares, profissionais de Educação Infantil da creche/escola que a criança frequente;</li>
              <li>Investigar causas de fragilidade sociofamiliar associadas à circunstância do acidente;</li>
              <li>Rastrear transtorno depressivo na criança e no adolescente que possa revelar intoxicação intencional;</li>
              <li>Acionar o Conselho Tutelar para acompanhamento conjunto do caso.</li>
            </ul>
          ]} />
        </div>
      </StyledDiv >
    )
  }
}
export default Page
