import React from 'react'
import styled from 'styled-components'
import CaixaColorida from '../components/CaixaColorida'
import CaixaContorno from '../components/CaixaContorno'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
ul {
  padding-left: 1.25em;
  margin-bottom: 0;
}

.caixa-colorida {
  margin-top: 2vh;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Intoxicação aguda</h2>
        <div className='page'>
          <p>Até agora, entendemos:</p>
          <CaixaContorno Content={[
            <p>
              <ul>
                <li>A importância de reconhecer uma situação de intoxicação aguda;</li>
                <li>O papel da Atenção Primária como colaboradora na identificação e no manejo de fatores de risco ou mesmo condições clínicas associadas que levaram à intoxicação aguda;</li>
                <li>A necessidade de avaliar a gravidade do quadro de intoxicação aguda e a necessidade de suporte via CIATox ou mesmo transferência do paciente para serviços de maior complexidade.</li>
              </ul>
            </p>
          ]} />
          <p>Já entendemos que é importante agir de maneira rápida e eficiente. É chegada a hora de saber como agir!</p>
          <p>Ao atender um paciente com suspeita clínica de intoxicação aguda, é necessário ter a clareza que muitas vezes não chegaremos ao diagnóstico etiológico. Isso ocorre porque, muitas vezes, não teremos acesso a essa informação, já que frequentemente os pacientes estão desacordados e não são capazes de informar; ou porque pode haver mais de uma substância envolvida ou mesmo alguma comorbidade prévia que dificulte a identificação do agente tóxico. Além disso, é importante lembrar que uma mesma substância pode causar mais de uma manifestação sindrômica<Ref Id="3" /><sup>,</sup><Ref Id="4" /><sup>,</sup><Ref Id="5" /><sup>,</sup><Ref Id="6" />.</p>
          <CaixaColorida Content={[
            <span>Mas será que é preciso saber qual a substância envolvida para conduzir esses casos? A resposta é “não”! O atendimento de um paciente vítima de intoxicação aguda tem como base o diagnóstico sindrômico, é ele que permite a instituição do tratamento.</span>
          ]} />
        </div>
      </StyledDiv >
    )
  }
}
export default Page
