import React from 'react'
import styled from 'styled-components'
import ListaAnimada from '../components/ListaAnimada'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
.lista-animada{
  margin-top: -2vh;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Do atendimento inicial ao diagnóstico sindrômico: o caminho a ser percorrido</h2>
        <div className='page'>
          <p><strong>Anamnese</strong></p>
          <p>A anamnese tem grande importância para elucidação diagnóstica e para avaliação da gravidade. Caso o paciente esteja vígil e colaborativo ou mesmo nos casos em que o paciente esteja inconsciente, mas haja a presença de algum familiar e seja possível interrogar, é importante <span style={{whiteSpace: "nowrap"}}>saber<Ref Id="4"/><sup>,</sup><Ref Id="5"/></span>:</p>
          <ListaAnimada ListContent={[
            "Dados do paciente: idade, peso, comorbidades, medicações em uso;",
            "Agente causal: princípio ativo, apresentação, concentração, dose, via de administração;",
            "Localização em que ocorreu a intoxicação / envenenamento: ambiente externo ou fechado, urbano ou rural. Esse dado é especialmente importante para os atendimentos de envenenamento por agentes tóxicos inalatórios;",
            "Temporalidade: há quanto tempo e por quanto tempo ocorreu a intoxicação;",
            "Circunstâncias do acidente: provocado, ocupacional ou por erro de administração do agente."
          ]}/>
          <p>No entanto, como já mencionado, muitas vezes a coleta de informações não é possível. Nesses casos, o exame físico adequado deve ser priorizado, pois é por meio dele que se obtêm dados semiológicos que permitem a identificação e a intervenção por meio de medidas terapêuticas. Também é por meio do exame físico que avaliamos a situação clínica, se há critérios de instabilidade hemodinâmica com necessidade de suporte à vida e contato imediato com o serviço hospitalar.</p>
        </div>
      </StyledDiv >
    )
  }
}
export default Page
