import React from 'react'
import styled from 'styled-components'
import CaixaCards from '../components/CaixaCards'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Do atendimento inicial ao diagnóstico sindrômico: o caminho a ser percorrido</h2>
        <div className='page'>
          <p><strong>Exame Físico</strong></p>
          <p><strong>Clique</strong> nos cards abaixo para entender o algoritmo do ABCDE<Ref Id="1" /><sup>,</sup><Ref Id="3" />, que é seguido no atendimento ao paciente grave.</p>
          <CaixaCards type="letter" title={["Avaliação de vias áreas", "Avaliação da respiração", "Avaliação da circulação", "Avaliação neurológica", "Exposição"]} content={[
            <span>Avaliar permeabilidade e proteção. Exemplo: secreção em via oral e rebaixamento de consciência são condições que comprometem a via aérea e podem evoluir com óbito breve;</span>,
            <span>Avaliar padrão respiratório, se há esforço, dessaturação de oximetria de pulso, se há bradipneia. Se houver alguma alteração, avaliar necessidade de prover oxigênio via cateter nasal ou mesmo de intubação orotraqueal com necessidade de contato com serviço de emergência;</span>,
            <span>Alteração de frequência cardíaca, pressão arterial e perfusão tecidual. É indicado obter acesso venoso e ter cautela na reposição volêmica, pois se houver hipotensão arterial lembrar que ela não é causada por perda volêmica. Em alguns casos, pode ser necessário o uso de drogas vasoativas para reverter choque circulatório ocasionado pela intoxicação, conduta essa que será feita nas unidades de emergência e hospitais;</span>,
            <span>Avaliação de comportamento (agitação psicomotora, sonolência, alucinações), avaliação de nível de consciência e avaliação pupilar são elementos semiológicos que serão auxiliares para a classificação da síndrome tóxica;</span>,
            <span>Avaliar lesões cutâneas, sinais de lesão endovenosa que podem sugerir aplicação de drogas injetáveis, sinais de vibrissas chamuscadas que podem indicar intoxicação por monóxido de carbono, avaliar temperatura corpórea que também se altera em determinadas síndromes tóxicas.</span>
          ]}/>
        </div>
      </StyledDiv >
    )
  }
}
export default Page
